<div class="py-5">
  <div class="row">
    <div class="col-md-6 mx-auto">
      <span class="anchor" id="formLogin"></span>

      <!-- form card login -->
      <div class="card rounded-0">
        <div class="card-header">
          <h3 class="mb-0">Login</h3>
        </div>
        <div class="card-body">
          <form class="form" ngForm #auth="ngForm">
            <div  class="form-group">
              <label for="username">Username</label>
              <input type="text" class="form-control rounded-0" ngModel="" name="username" required minlength="7" id="username" >
            </div>
            <div class="form-group">
              <label for="password">Password</label>
              <input type="password" class="form-control rounded-0" ngModel="" name="password" required id="password">
            </div>
              <mat-form-field class="form-group" appearance="fill">
                <mat-label> Login Option </mat-label>
                  <mat-select ngModel="" matNativeControl name="permission" required>
                    <mat-option value="agent"> Agent</mat-option>
                    <mat-option value="manager"> Manager</mat-option>
                  </mat-select>
              </mat-form-field>
            <button type="button" (click)="login(auth)" class="btn btn-success float-right">Login</button>
            <button type="button" (click)="register()" class="btn btn-success float-right">Register</button>
          </form>
        </div>
      </div>
    </div>
  </div>

</div>
